Bug 429332 - "boxed" screensave hogs 99% CPU and hangs the GUI
"boxed" screensave hogs 99% CPU and hangs the GUI
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-18 14:00 EST by Charles R. Anderson
Modified: 2008-04-04 00:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 00:48:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-01-18 14:00:57 EST
Description of problem:
In Screensaver Preferences, simply selecting the "Boxed" screensaver theme
causes the GUI to lock up.  You can move the mouse, but you cannot move any
windows, click on any menus, change TTYs, or do anything at all basically. 
SSHing into the box reveals that "boxed" is taking all the CPU.

Version-Release number of selected component (if applicable):

How reproducible:
didn't try

Steps to Reproduce:
1. Open Screensaver Preferences
2. Click on "Boxed"

Actual results:
GUI hangs.  Boxed takes 99% CPU.
Comment 1 Mamoru TASAKA 2008-01-18 22:12:00 EST
Well, I have not investigated this however,

- Is it simply that boxes is using much CPU? On my box boxed is
  working good, however it usually costs 50% of CPU.
  Actually some hacks in xscreensaver-gl-extras use much CPU.
  Would you write the spec of your box?

- And would you check if your GL is actually working (by
  glxinfo in glx-utils, for example)? For me rawhide mesa-libGL is 
  simply not working so for now I am using F-8 mesa-libGL.
  Also for me rawhide X is not working so I am using F-8 X.
Comment 2 Mamoru TASAKA 2008-02-17 12:25:51 EST
Once setting NEEDINFO.
Comment 3 Charles R. Anderson 2008-04-04 00:48:57 EDT
No longer seeing this issue.

Note You need to log in before you can comment on or make changes to this bug.